import http from "./interface";

// 系列列表
export const list = (data) => {
  return http.request({
    url: "/mall/series/series-list",
    method: "POST",
    data,
  });
};
// 藏品列表
export const collectionsList = (data) => {
  return http.request({
    url: "/mall/collections/list",
    method: "POST",
    data,
  });
};
// 藏品详情
export const collectionsInfo = (data) => {
  return http.request({
    url: "/mall/collections/detail",
    method: "POST",
    data,
  });
};
// 购买
export const buy = (data) => {
  return http.request({
    url: "/mall/payment/create",
    method: "POST",
    data,
  });
};
// 生成二维码
export const createQrcode = (data) => {
  return http.request({
    url: "/mall/payment/offline/create",
    method: "POST",
    data,
  });
};
// 获取二维码信息
export const getQrcodeInfo = (data) => {
  return http.request({
    url: "/mall/payment/info",
    method: "POST",
    data,
  });
};
// 确认支付
export const confirmPay = (data) => {
  return http.request({
    url: "/mall/payment/seller/sure",
    method: "POST",
    data,
  });
};
// 取消支付
export const cancelPay = (data) => {
  return http.request({
    url: "/mall/payment/seller/cancel",
    method: "POST",
    data,
  });
};

//判断是否领取该藏品
export const userHaveDropNo = (data) => {
  return http.request({
    url: "/mall/push/userHaveDropNo",
    method: "POST",
    data,
  });
};
export const collectionsDetail = (data) => {
  return http.request({
    url: "/mall/collections/receive/info",
    method: "POST",
    data,
  });
};
export const collectionsReceive = (data) => {
  return http.request({
    url: "/mall/collections/receive",
    method: "POST",
    data,
  });
};
export const collectionsBuy = (data) => {
  return http.request({
    url: "/mall/collections/wx/buy",
    method: "POST",
    data,
  });
};
export const getSeriesData = (data) => {
  return http.request({
    url: "/mall/series/series-detail",
    method: "POST",
    data,
  });
};
export default {
  list,
  collectionsList,
  collectionsInfo,
  buy,
  createQrcode,
  getQrcodeInfo,
  confirmPay,
  cancelPay,
  userHaveDropNo,
  collectionsDetail,
  collectionsReceive,
  collectionsBuy,
  getSeriesData
};
